iscsi_create_conn
Prev | iSCSI transport class | Next

## Name

iscsi_create_conn — create iscsi class connection

## Synopsis

`struct iscsi_cls_conn * iscsi_create_conn (` | struct iscsi_cls_session * | session,
| uint32_t | cid`)`;

## Arguments

`session`

  iscsi cls session

`cid`

  connection id

## Description

This can be called from a LLD or iscsi_transport. The connection is child of the session so cid must be unique for all connections on the session.

Since we do not support MCS, cid will normally be zero. In some cases for software iscsi we could be trying to preallocate a connection struct in which case there could be two connection structs and cid would be non-zero.

Prev | Up | Next
iscsi_destroy_session | Home | iscsi_destroy_conn